export interface ConfigModel {
  puzzle: {
    solution: string;
    first: string;
    next: string;
    last: string;
    end: string;
    seed: string;
  };
  calendar: {
    config_file: string;
    background: string;
  };
  image: {
    size: number;
    border: number;
    fonts: { file: string; size: number }[];
  };
  webdav: {
    url: string;
    cache_ttl: number;
    config_file: string;
  };
}

export interface DayStrModel {
  day: number;
  value: string;
}

export interface DoorSaved {
  day: number;
  x1: number;
  y1: number;
  x2: number;
  y2: number;
}

export type DoorsSaved = DoorSaved[];
